<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateContractSubitemsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('contract_subitems', function (Blueprint $table) {
            $table->bigIncrements('id');

            $table->string('project_title')->nullable();
            $table->string('project_type_id')->nullable();
            $table->string('project_type_fa')->nullable();
            $table->string('operation_type_id')->nullable();
            $table->string('operation_type_fa')->nullable();
            $table->string('city_id')->nullable();
            $table->string('city_fa')->nullable();
            $table->string('province_id')->nullable();
            $table->string('province_fa')->nullable();
            $table->string('axis_type_id')->nullable();
            $table->string('axis_type_fa')->nullable();
            $table->string('axis_name_id')->nullable();
            $table->string('axis_name_fa')->nullable();
            $table->string('lat')->nullable();
            $table->string('lng')->nullable();
            $table->string('followup_priority_project')->nullable();
            $table->string('priority_project')->nullable();
            $table->string('operator_name')->nullable();
            $table->string('progress_project')->nullable();
            $table->string('created_at_fa')->nullable();
            $table->string('last_status_id')->nullable();
            $table->string('last_status_fa')->nullable();
            $table->string('last_digit_project')->nullable();
            $table->string('last_function_operator')->nullable();
            $table->string('last_payable_operator')->nullable();
            $table->string('complete_payable')->nullable();
            $table->string('updated_at_fa')->nullable();
            $table->string('image_path')->nullable();
            $table->string('unique_code');
            $table->bigInteger('contract_id');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contract_subitems');
    }
}